Get a List of All users
curl --request GET \
--url https://app.conductor.com/user-api/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.conductor.com/user-api/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.conductor.com/user-api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accounts": [
1,
2,
3
],
"email": "[email protected]",
"firstname": "User",
"lastname": "User",
"sso_access": true,
"type": "READ_ONLY",
"view": "CONTENT_MARKETING",
"status": "ACTIVE"
}
]{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}User Management Reference
List all users
List all active and inactive users associated with your Conductor accounts using the User Management API.
GET
/
user-api
/
v1
/
users
Get a List of All users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
User type, ADMIN is not allowed when creating users. To identify existing ADMIN users, you can use the Users endpoint.
Available options:
READ_ONLY, STANDARD, ADMIN Available options:
CONTENT_MARKETING, SEARCH_MARKETING, EXECUTIVE_ESSENTIALS, PAID_SEARCH, RESEARCH, COMPLETE Whether the user is active or inactive. Not required when creating a user.
Available options:
ACTIVE, INACTIVE ⌘I
